MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022937Community[OCCT] OCCT:Modeling Algorithmspublic2012-01-30 14:482012-04-16 12:24
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022937: Wrong delete operator in GeomFill_EvolvedSection.cxx / GeomFill_UniformSection.cxx
DescriptionGeomFill_EvolvedSection.cxx (line 53) / GeomFill_UniformSection.cxx (line 52) should use the "delete []" operator as arrays are deleted
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019311)
abv (manager)
2012-01-30 17:35

As both these places use buffer just to make some name for variable to be dumped for debug, please replace this by using static buffer (e.g. char buf[256] -- should be pretty sufficient for this in all cases).
(0019416)
dbv (developer)
2012-02-07 10:37

Dynamic variable allocation replaced by static

Branch http://svn/svn/occt/branches/OCC22937 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019417)
abv (manager)
2012-02-07 10:40

No remarks, please test
(0019513)
mkv (tester)
2012-02-10 16:39
edited on: 2012-02-10 16:39

Dear BugMaster,
Workbench KAS:dev:mkv-22937-occt was created from SVN branch http://svn/svn/occt/branches/OCC22937 [^]
(and mkv-22937-products from trunk) and compiled on Linux platform.

(0019527)
apn (administrator)
2012-02-13 12:22

There not regressions in mkv-22937-products regarding to KAS:dev:products-20120210-opt
 
 See results in /QADisk/occttests/results/KAS/dev/mkv-22937-products_10022012/lin
 See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
 See test cases in /QADisk/occttests/tests/ED
(0019636)
bugmaster (administrator)
2012-02-17 16:10

Integrated into trunk of occt repository

Date: 2012-02-17 16:08:26 +0400 (Fri, 17 Feb 2012)
New Revision: 10509

Modified:
   trunk/src/GeomFill/GeomFill_EvolvedSection.cxx
   trunk/src/GeomFill/GeomFill_UniformSection.cxx
(0020373)
Pawel (developer)
2012-04-12 17:20

Verified. Please close.

- Related Changesets
occt: master 8b5567c7
Timestamp: 2012-02-17 12:08:26
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022937: Wrong delete operator in GeomFill_EvolvedSection.cxx / GeomFill_UniformSection.cxx
mod - src/GeomFill/GeomFill_EvolvedSection.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_UniformSection.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 14:48 Pawel New Issue
2012-01-30 14:48 Pawel Assigned To => jgv
2012-01-30 17:35 abv Note Added: 0019311
2012-01-30 17:35 abv Assigned To jgv => dbv
2012-01-30 17:35 abv Status new => assigned
2012-02-07 10:37 dbv Note Added: 0019416
2012-02-07 10:37 dbv Assigned To dbv => abv
2012-02-07 10:37 dbv Status assigned => resolved
2012-02-07 10:40 abv Note Added: 0019417
2012-02-07 10:40 abv Assigned To abv => dbv
2012-02-07 10:40 abv Status resolved => reviewed
2012-02-08 10:45 abv Target Version => 6.5.3
2012-02-09 18:15 mkv Test case number => Test case is not required
2012-02-10 16:39 mkv Note Added: 0019513
2012-02-10 16:39 mkv Note Edited: 0019513 View Revisions
2012-02-13 12:22 apn Note Added: 0019527
2012-02-13 12:23 apn Status reviewed => tested
2012-02-17 16:10 bugmaster Note Added: 0019636
2012-02-17 16:10 bugmaster Status tested => verified
2012-02-17 16:10 bugmaster Resolution open => fixed
2012-02-17 16:10 bugmaster Assigned To dbv => Pawel
2012-03-29 17:26 bugmaster Changeset attached => occt master 8b5567c7
2012-04-12 17:20 Pawel Note Added: 0020373
2012-04-16 12:24 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker